[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.ColCount

Number of columns of the grid.

## Declaration

Source position: grids.pas line 996

`protected property TCustomGrid.ColCount: Integer read GetColCount write SetColCount default 5;`

## Description

This is the number of columns in the grid, including fixed and normal columns.

## See also

TCustomGrid.Col |  | Current column index.
TCustomGrid.FixedCols |  | Number of the fixed columns of the grid (ie the columns containing title or identifier material, that don't get scrolled when the rest of the grid moves).
TCustomGrid.ColWidths |  | Column widths for the grid.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .